curl --request POST \
--url https://api.myxspend.com/v1/payment/process \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-COMPANY-ID: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"customerOrderId": "<string>",
"email": "<string>",
"amount": 123,
"currency": "USD",
"phone": "<string>",
"success_url": "<string>",
"failure_url": "<string>"
}
'{
"country": "<string>",
"CreatedOn": "<string>",
"currency": "<string>",
"customerOrderId": "<string>",
"PaymentLink": "<string>",
"PaymentLinkCode": "<string>",
"responseCode": "<string>",
"responseMessage": "<string>"
}Process a payment transaction
curl --request POST \
--url https://api.myxspend.com/v1/payment/process \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-COMPANY-ID: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"customerOrderId": "<string>",
"email": "<string>",
"amount": 123,
"currency": "USD",
"phone": "<string>",
"success_url": "<string>",
"failure_url": "<string>"
}
'{
"country": "<string>",
"CreatedOn": "<string>",
"currency": "<string>",
"customerOrderId": "<string>",
"PaymentLink": "<string>",
"PaymentLinkCode": "<string>",
"responseCode": "<string>",
"responseMessage": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Payment details
Customer first name
Customer last name
Customer order id (must be a unique id for each customer - recommend UUID format)
Customer email address
Invoice amount
Currency
USD, EUR Customer phone number
The url MyXspend will redirect the user to after a successful payment
The url MyXspend will redirect the user to after a failed payment
Successful payment response
Country of the request
Date created
Curency of the payment request
Customer order id (Merchant/Company reference)
Payment link (where to send users to make payment)
Idetification of the requested payment
DEPRECATED - please use the response code in the http header
Any message returned from the request